Bug 175796 - Call updateIsPlayingMedia whenever m_userHasInteractedWithMediaElement changes
Summary: Call updateIsPlayingMedia whenever m_userHasInteractedWithMediaElement changes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Matt Rajca
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-21 17:07 PDT by Matt Rajca
Modified: 2017-08-28 13:49 PDT (History)
3 users (show)

See Also:


Attachments
Patch (3.30 KB, patch)
2017-08-21 19:37 PDT, Matt Rajca
no flags Details | Formatted Diff | Diff
Patch (6.76 KB, patch)
2017-08-21 19:44 PDT, Matt Rajca
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Rajca 2017-08-21 17:07:50 PDT
The Media State depends on m_userHasInteractedWithMediaElement, so force it to update as soon as m_userHasInteractedWithMediaElement changes.
Comment 1 Matt Rajca 2017-08-21 19:37:39 PDT
Created attachment 318723 [details]
Patch
Comment 2 Matt Rajca 2017-08-21 19:44:07 PDT
Created attachment 318724 [details]
Patch
Comment 3 Matt Rajca 2017-08-22 08:56:37 PDT
Committed r221014: <http://trac.webkit.org/changeset/221014>
Comment 4 Radar WebKit Bug Importer 2017-08-22 08:57:38 PDT
<rdar://problem/34013634>